Package org.springframework.beans

# Interface BeanMetadataElement

All Known Subinterfaces:
  `AnnotatedBeanDefinition`, `BeanDefinition`, `BeanReference`, `ComponentDefinition`, `DefaultsDefinition`

All Known Implementing Classes:
  `AbstractBeanDefinition`, `AbstractComponentDefinition`, `AliasDefinition`, `AnnotatedGenericBeanDefinition`, `AutowireCandidateQualifier`, `BeanComponentDefinition`, `BeanDefinitionHolder`, `BeanMetadataAttribute`, `BeanMetadataAttributeAccessor`, `ChildBeanDefinition`, `CompositeComponentDefinition`, `ConstructorArgumentValues.ValueHolder`, `DocumentDefaultsDefinition`, `GenericBeanDefinition`, `ImportDefinition`, `LookupOverride`, `ManagedArray`, `ManagedList`, `ManagedMap`, `ManagedProperties`, `ManagedSet`, `MethodOverride`, `PropertyValue`, `ReplaceOverride`, `RootBeanDefinition`, `RuntimeBeanNameReference`, `RuntimeBeanReference`, `TypedStringValue`

public interface BeanMetadataElement
Interface to be implemented by bean metadata elements that carry a configuration source object.

Since:
  2.0
Author:
  Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`default Object`
`getSource()`
Return the configuration source `Object` for this metadata element (may be `null`).

## Method Details

### getSource

@Nullable default Object getSource()
Return the configuration source `Object` for this metadata element (may be `null`).